package ru.yandex.direct.api.v5.entity.dynamicfeedadtargets.container;

import javax.annotation.ParametersAreNonnullByDefault;

import ru.yandex.direct.core.entity.campaign.model.Campaign;
import ru.yandex.direct.core.entity.dynamictextadtarget.model.DynamicFeedAdTarget;

@ParametersAreNonnullByDefault
public class DynamicFeedAdTargetGetContainer {

    private final DynamicFeedAdTarget dynamicFeedAdTarget;
    private final Campaign campaign;

    public DynamicFeedAdTargetGetContainer(DynamicFeedAdTarget dynamicFeedAdTarget, Campaign campaign) {
        this.dynamicFeedAdTarget = dynamicFeedAdTarget;
        this.campaign = campaign;
    }

    public DynamicFeedAdTarget getDynamicFeedAdTarget() {
        return dynamicFeedAdTarget;
    }

    public Campaign getCampaign() {
        return campaign;
    }
}
